using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Kvalifikacije_11_27
{
    class Program
    {
        static void Main(string[] args)
        {
            string s = Console.ReadLine();

            string[] s1 = Console.ReadLine().Split(" ");
            int a1 = int.Parse(s1[0]);
            int a2 = int.Parse(s1[1]);
            string res = "";

            if (a1 == 0 && a2 > 1 || a2 == 0 && a1 > 1 || Math.Abs(a1 - a2) > 1)
                Console.WriteLine("nemoguce");
            else
            {
                if (a1 == a2)
                {
                    for (int i = 0; i < a1; i++)
                    {
                        res += s[0];
                        res += s[1];
                    }
                }
                else
                {
                    if (a1 > a2)
                        for (int i = 0; i < a1 + a2; i++)
                        {
                            if (i % 2 == 0)
                                res += s[0];
                            else
                                res += s[1];
                        }
                    else
                        for (int i = 0; i < a1 + a2; i++)
                        {
                            if (i % 2 == 0)
                                res += s[1];
                            else
                                res += s[0];
                        }
                }

                Console.WriteLine(res);

            }
        }
    }
}